Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DirectJoybox Class Reference

Inherits direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | acceptSwitchModeEvent
def | acceptUprightCameraEvent
def | addButtonEvents
def | basicMode
def | demoMode
def | destroy
def | disable
def | driveMode
def | enable
def | fpsMode
def | getEventName
def | getHprMultiplier
def | getNodePath
def | getRefCS
def | getXyzMultiplier
def | hprXyzMode
def | ignoreSwitchModeEvent
def | ignoreUprightCameraEvent
def | joeMode
def | joyboxFly
def | lookAroundMode
def | lookAtMode
def | lucMode
def | mopathMode
def | normalizeChannel
def | nullFly
def | nullMode
def | orbitFly
def | orbitMode
def | orbitNode
def | planetFly
def | planetMode
def | setHeadingNodePath
def | setHprMultiplier
def | setMode
def | setNodePath
def | setRefCS
def | setRotateInPlace
def | setUseHeadingNP
def | setXyzMultiplier
def | showMode
def | spaceFly
def | spaceMode
def | switchMode
def | tankFly
def | tankMode
def | updateTask
def | updateVals
def | updateValsUnrolled
def | walkthruMode
## Public Attributes
| aList
| analogs
| auxData
| bList
| breg
| buttons
| deltaTime
| device
| eventThrower
| floatingNP
| headingNP
| lastTime
| mapping
| modeFunc
| modeList
| modeName
| modifier
| name
| nodePath
| readout
| refCS
| rotateInPlace
| tempCS
| updateFunc
| useHeadingNP
## Static Public Attributes
float | hprMultiplier = 1.0
int | joyboxCount = 0
float | xyzMultiplier = 1.0

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | device = `'CerealBox'`,
|  |  | nodePath = `base.direct.camera`,
|  |  | headingNP = `base.direct.camera`
| ) |  |

## Member Function Documentation

def acceptSwitchModeEvent | ( |  | self,
|  |  | button = `R_UPPER`
| ) |  |

def acceptUprightCameraEvent | ( |  | self,
|  |  | button = `L_UPPER`
| ) |  |

def addButtonEvents | ( |  | self | ) |

def basicMode | ( |  | self | ) |

def demoMode | ( |  | self | ) |

def destroy | ( |  | self | ) |

def disable | ( |  | self | ) |

def driveMode | ( |  | self | ) |

def enable | ( |  | self | ) |

def fpsMode | ( |  | self | ) |

def getEventName | ( |  | self,
|  |  | index
| ) |  |

def getHprMultiplier | ( |  | self | ) |

def getNodePath | ( |  | self | ) |

def getRefCS | ( |  | self | ) |

def getXyzMultiplier | ( |  | self | ) |

def hprXyzMode | ( |  | self | ) |

def ignoreSwitchModeEvent | ( |  | self,
|  |  | button = `R_UPPER`
| ) |  |

def ignoreUprightCameraEvent | ( |  | self,
|  |  | button = `L_UPPER`
| ) |  |

def joeMode | ( |  | self | ) |

def joyboxFly | ( |  | self | ) |

def lookAroundMode | ( |  | self | ) |

def lookAtMode | ( |  | self | ) |

def lucMode | ( |  | self | ) |

def mopathMode | ( |  | self | ) |

def normalizeChannel | ( |  | self,
|  |  | chan,
|  |  | minVal = `-1`,
|  |  | maxVal = `1`
| ) |  |

def nullFly | ( |  | self | ) |

def nullMode | ( |  | self | ) |

def orbitFly | ( |  | self | ) |

def orbitMode | ( |  | self | ) |

def orbitNode | ( |  | self,
|  |  | h,
|  |  | p,
|  |  | r
| ) |  |

def planetFly | ( |  | self | ) |

def planetMode | ( |  | self,
|  |  | auxData = `[]`
| ) |  |

def setHeadingNodePath | ( |  | self,
|  |  | np
| ) |  |

def setHprMultiplier | ( |  | self,
|  |  | multiplier
| ) |  |

def setMode | ( |  | self,
|  |  | func,
|  |  | name
| ) |  |

def setNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def setRefCS | ( |  | self,
|  |  | refCS
| ) |  |

def setRotateInPlace | ( |  | self,
|  |  | enabled
| ) |  |

def setUseHeadingNP | ( |  | self,
|  |  | enabled
| ) |  |

def setXyzMultiplier | ( |  | self,
|  |  | multiplier
| ) |  |

def showMode | ( |  | self,
|  |  | modeText
| ) |  |

def spaceFly | ( |  | self | ) |

def spaceMode | ( |  | self | ) |

def switchMode | ( |  | self | ) |

def tankFly | ( |  | self | ) |

def tankMode | ( |  | self | ) |

def updateTask | ( |  | self,
|  |  | state
| ) |  |

def updateVals | ( |  | self | ) |

def updateValsUnrolled | ( |  | self | ) |

def walkthruMode | ( |  | self | ) |

## Member Data Documentation

aList

analogs

auxData

bList

breg

buttons

deltaTime

device

eventThrower

floatingNP

headingNP

float hprMultiplier = 1.0`[static]`

int joyboxCount = 0`[static]`

lastTime

mapping

modeFunc

modeList

modeName

modifier

name

nodePath

readout

refCS

rotateInPlace

tempCS

updateFunc

useHeadingNP

float xyzMultiplier = 1.0`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties